Subject: Re: [tsvwg] Fwd: New Version Notification for draft-ietf-tsvwg-port-use-04.txt

From: Joe Touch <[email-masked]>
Date: Fri, 23 May 2014 09:46:09 -0700

On 5/23/2014 9:25 AM, Pearl Liang wrote:
> Hi Joe,
>
> When IANA processed port requests, it appears that some users are unclear
> on the differences between a service name with a port number and an SRV
> service name.  It'll be useful to clarify the (usage) differences of the
> two.  What do you think?

Absolutely - I'll add that too.

Joe

>
> Thanks,
> ~pl
>
>
> On 5/15/14 12:45 PM, "Joe Touch" <[email-masked]> wrote:
>
>> FYI.
>>
>> These changes reflect:
>> 	- feedback from Gorry (thanks)
>> 	- full head-to-tail scrub for language consistency and clarity
>> 		removed first and second person informal language
>> 		made RFC citations consistent
>> 		made capitalization consistent
>> 		provided examples for the variety of ways to use ports
>> 		moved some of the citations to the normative section
>> 	- added one new recommendation based on existing BCP advice:
>>
>>>> Users MUST NOT deploy implementations that default to using the	
>> experimental System ports (1021 and 1022 [RFC4727]) outside a	
>> controlled environment where they can be updated with a subsequent	
>> assigned port [RFC3692].
>>
>> This addresses all pending issues.
>>
>> Joe
>>
>> -------- Original Message --------
>> Subject: New Version Notification for draft-ietf-tsvwg-port-use-04.txt
>> Date: Wed, 14 May 2014 14:05:29 -0700
>> From: [email-masked]
>> To: Dr. Joseph D. Touch <[email-masked]>, Joe Touch <[email-masked]>
>>
>>
>> A new version of I-D, draft-ietf-tsvwg-port-use-04.txt
>> has been successfully submitted by Joe Touch and posted to the
>> IETF repository.
>>
>> Name:		draft-ietf-tsvwg-port-use
>> Revision:	04
>> Title:		Recommendations for Transport Port Uses
>> Document date:	2014-05-14
>> Group:		tsvwg
>> Pages:		19
>> URL:
>> http://www.ietf.org/internet-drafts/draft-ietf-tsvwg-port-use-04.txt
>> Status:
>> https://datatracker.ietf.org/doc/draft-ietf-tsvwg-port-use/
>> Htmlized:       http://tools.ietf.org/html/draft-ietf-tsvwg-port-use-04
>> Diff:
>> http://www.ietf.org/rfcdiff?url2=draft-ietf-tsvwg-port-use-04
>>
>> Abstract:
>>     This document provides recommendations to application and service
>>     designers on how to use the transport protocol port number space to
>>     help in its preservation.
>>
>>
>>
>>
>>
>> Please note that it may take a couple of minutes from the time of
>> submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> The IETF Secretariat
>>
>>

---

From: Pearl Liang <[email-masked]>
Date: Fri, 23 May 2014 09:25:13 -0700

Hi Joe,

Thanks,
~pl

---

From: "Eggert, Lars" <[email-masked]>
Date: Sat, 24 May 2014 05:31:17 +0000

Hi Pearl,

> service name.  It'll be useful to clarify the (usage) differences of the

there is no difference, right? Whether or not they have an assigned port number doesn't matter for what they can use the service name for.

Lars

---

From: Pearl Liang <[email-masked]>
Date: Mon, 26 May 2014 15:48:41 -0700

Hi Lars,

Apologies in advance if I asked a wrong question.  So,

- does the word 'SRV' apply to all service names regardless one with a
port number or without it?
- When and how a user decide to add a port number with the DNS SRV service
name?  In another word, why can a user simply register an DNS SRV service
name without a port number?

Make sense?

Thank you,
~pl

On 5/23/14 10:31 PM, "Eggert, Lars" <[email-masked]> wrote:

>there is no difference, right? Whether or not they have an assigned port
>number doesn't matter for what they can use the service name for.
>
>Lars

---

From: "Eggert, Lars" <[email-masked]>
Date: Tue, 27 May 2014 06:30:22 +0000

Hi,

> port number or without it?

SRV comes from DNS SRV records. That's one (important) way in which service names can be used, but it is not the only one. The canonical term is service name. And yes, they are all service names, whether or not they have port numbers assigned.

> name without a port number?

This is discussed in RFC6335. Applicants can ask for a service name (not an SRV name, a service name - DNS SRVs are just one way in which service names are used; see above) when they do not need an assigned port, because - for example - they are using a service discovery protocol like mDNS and only require a name, not a number.

Lars

---

From: Joe Touch <[email-masked]>
Date: Tue, 27 May 2014 09:19:06 -0700

HI, all,

First, I do need to do a scrub to make sure that this doc's core (not 
the history part) ends up referring to "service names" and "service 
numbers" as per RFC 6335. That said...

>> port number or without it?

As Lars noted, all service names can be used in the DNS SRV mechanism, 
however this doc ought to discuss the relationship in more detail...

>> name without a port number?

Service names assigned without a service number are useful only for 
indices such as DNS SRV or mechanisms like TCP port names. The service 
is assigned a dynamic port number and that number is advertised to 
others via such methods.

Service names intended for DNS SRV may also include registration of 
other SRV parameters (indicated as {key, value} pairs in associated TXT 
records) - that's why IANA asks specifically about SRV use.

Use in SRV records isn't strictly related to whether a service name has 
an associated assigned port number; even though typical use would be 
without an assigned number, it still might be useful to indicate SRV use 
in the application for service names primarily used as SRVs because such 
assigned numbers help with firewall traversal *and* SRV use could 
indicate additional service parameter in TXT records.

Joe

---

From: Pearl Liang <[email-masked]>
Date: Wed, 28 May 2014 09:03:12 -0700

>however this doc ought to discuss the relationship in more detail...

It'll be useful.

>is assigned a dynamic port number and that number is advertised to

So, would it be possible to add a user port number to a registered SRV
service name down the road at some point?

~pl

---

From: Joe Touch <[email-masked]>
Date: Wed, 28 May 2014 09:48:09 -0700

> service name down the road at some point?

Yes, subject to the same hurdles as any new numeric assignment.

Joe